Bug 14701 - appcache: remove the requirement for the MIME type
appcache: remove the requirement for the MIME type
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-05 17:02 UTC by contributor
Modified: 2012-01-25 23:27 UTC (History)
14 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-11-05 17:02:50 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/offline.html
Multipage: http://www.whatwg.org/C#downloading-or-updating-an-application-cache
Complete: http://www.whatwg.org/c#downloading-or-updating-an-application-cache

Comment:
appcache: remove the requirement for the MIME type

Posted from: 12.249.26.78 by annevk@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.2; U; en) Presto/2.9.168 Version/11.52
Comment 1 Anne 2011-11-05 17:06:14 UTC
Having to set the MIME type requirement is apparently a serious problem for developers. Either not getting it to work at all or having to resort to PHP solely to set it correctly.
Comment 2 Julian Reschke 2011-11-05 18:30:04 UTC
(In reply to comment #1)
> Having to set the MIME type requirement is apparently a serious problem for
> developers. Either not getting it to work at all or having to resort to PHP
> solely to set it correctly.

More info needed. Why is there a problem setting it for *developers*?
Comment 3 Anne 2011-11-05 18:45:25 UTC
No sufficient control over servers. Developers working on/with Facebook, jQuery, Vodafone, all cite this as a problem.
Comment 4 Christopher Blizzard 2011-11-05 18:53:34 UTC
Yes, this is the most consistent piece of feedback I've heard.  Most people either can't or just don't know how to set the mime type for a file.
Comment 5 Julian Reschke 2011-11-05 19:02:12 UTC
(In reply to comment #4)
> Yes, this is the most consistent piece of feedback I've heard.  Most people
> either can't or just don't know how to set the mime type for a file.

I'd like to get a clearer understanding on the details of "can't" and "don't know how". The latter is "just" a documentation problem. The former is harder to solve, and I'd appreciate more details about platforms where it's possible to deploy a complex webapp, but not possible to set a media type.
Comment 6 Christopher Blizzard 2011-11-05 19:04:56 UTC
(In reply to comment #5)
> I'd like to get a clearer understanding on the details of "can't" and "don't
> know how". The latter is "just" a documentation problem. The former is harder
> to solve, and I'd appreciate more details about platforms where it's possible
> to deploy a complex webapp, but not possible to set a media type.

I really don't know details, but given the consistency of the feedback does it matter?  These are people who know that it's a requirement and it stops them - somehow - from using offline technology.
Comment 7 Rudie Dirkx 2011-11-05 20:10:03 UTC
I agree with Christopher completely. It doesn't matter. This is a beautiful feature not being used because the threshold is too high. The fact that developers complain should only validate this issue.
Comment 8 Julian Reschke 2011-11-05 20:24:18 UTC
(In reply to comment #7)
> I agree with Christopher completely. It doesn't matter. This is a beautiful
> feature not being used because the threshold is too high. The fact that
> developers complain should only validate this issue.

It may be that the threshold is too high, but that it doesn't have anything to do with configuring media types :-)
Comment 9 Ian 'Hixie' Hickson 2011-11-11 00:36:36 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: see comment 1, comment 3, and comment 4.
Comment 10 contributor 2011-11-11 00:36:48 UTC
Checked in as WHATWG revision r6823.
Check-in comment: Make appcache no longer check for the MIME type.
http://html5.org/tools/web-apps-tracker?from=6822&to=6823
Comment 11 Kang-Hao (Kenny) Lu 2011-12-30 08:43:23 UTC
The change seems incomplete as step 6 currently says

"or if the resource is labeled with a MIME type other than text/cache-manifest or has parameters that do not match the conditions listed earlier, then run the cache failure steps. "

What are the "conditions listed earlier" and what are the parameters by the way?
Comment 12 Ian 'Hixie' Hickson 2012-01-25 23:25:45 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 13 contributor 2012-01-25 23:27:29 UTC
Checked in as WHATWG revision r6920.
Check-in comment: Remove vestiges of MIME type checking in appcache.
http://html5.org/tools/web-apps-tracker?from=6919&to=6920